Applies to:
2busy
Had this question 54
Question
2busy asked on
| 395875 views

How to Install .net framework 1.1 in Windows 7 64-bit?

 Net framework 1.1 incompatible and will not run in Windows 7 64-bit. I desperately need the program to work, and it is dependent on 1.1 being installed.
JasonFJ
Found this helpful 61
Answer
JasonFJ replied on

Reply

This has been known forever, from Vista through to Windows 7.

The solution to it is simple, and was posted on mydigitallife website ages ago (do a search for "mydigitallife net 1.1").

Otherwise here is a a copy/paste to install .Net 1.1 and SP1 into Vista or Win7 (32 or 64 bit).

  1. Create a new folder named DotNetin C:\ drive (C:\DotNet is used in this guide, you can change to any folder you prefer, but ensure that you use correct path in the following steps).
  2. Download Microsoft .NET Framework 1.1 Redistributable Package (dotnetfx.exe ). Make sure the setup file is saved asdotnetfx.exe .
  3. Download Microsoft .NET Framework 1.1 Service Pack 1 (NDP1.1sp1-KB867460-X86.exe ). Make sure that the file is renamed and saved asdotnetfxsp1.exe , so that the rest of the steps can be followed easily.
  4. Move both installation files into the same directory (i.e. C:\DotNet), if you’re not saving them together.
  5. Open command prompt as Administrator .
  6. Change to the directory where the two installation setup files for .NET 1.1 are saved (i.e. C:\DotNet).
  7. Run the following commands one by one, press Enter after each one.
    • dotnetfx.exe /c:"msiexec.exe /a netfx.msi TARGETDIR=C:\DotNet"
    • Then click on “Yes” when prompted to answer “would you like to install Microsoft .NET Framework 1.1. Package?”
    • dotnetfxsp1.exe /Xp:C:\DotNet\netfxsp.msp
    • msiexec.exe /a c:\DotNet\netfx.msi /p c:\DotNet\netfxsp.msp

Install Microsoft .Net Framework 1.1 with slipstreamed/integrated Service Pack 1 by running netfx.msi created in the working folder.

arshad imam
Found this helpful 10
Answer
arshad imam replied on

Reply

Here's the sequence to install .NET Framework 1.1, Service Pack 1 and  patches on Windows 7 if your application requires .NET 1.1 runtime.

dotnetfx.exe (Microsoft .NET Framework Version 1.1 Redistributable Package)
http://www.microsoft.com/downloads/details.aspx?FamilyId=262D25E3-F589-4842-8157-034D1E7CF3A3&displaylang=en

NDP1.1sp1-KB867460-X86.exe /Q /L:c:\Net11-sp1-KB867460.log

NDP1.1sp1-KB891865-X86.exe /Q /L:c:\Net11-sp1-KB891865.log

NDP1.1sp1-KB886903-X86.exe /Q /L:c:\Net11-sp1-KB886903.log

All the .NET Framework versions can live side by side.  Microsoft .NET 1.1 extended support retied on 10/8/2013
http://support.microsoft.com/lifecycle/search/Default.aspx?sort=PN&alpha=.NET+Framework

Hope this help.

Shinmila H
Found this helpful 4
Shinmila H replied on

Hi 2busy,

Welcome to Microsoft Answers.

Which program are you trying to run that needs .NET 1.1  installed on the computer?

.NET framework 1.1 is an old version and you already have higher version i.e .NET framework 3.5.1 that comes preinstalled on your computer.

When you have higher version, I don’t think you can install an older version of it.

You can enable/disable NET framework 3.5.1 from programs and features.

See:

Turn Windows features on or off

http://windows.microsoft.com/en-US/windows7/Turn-Windows-features-on-or-off

  
Hope this information is helpful.

Happy Thanksgiving.

 

 

Regards,

Shinmila H - Microsoft Support

Visit our Microsoft Answers Fee dback Forum and let us know what you think


JC2009
Found this helpful 1
JC2009 replied on

Reply

Hi 2busy,

Welcome to Microsoft Answers.

Which program are you trying to run that needs .NET 1.1  installed on the computer?

.NET framework 1.1 is an old version and you already have higher version i.e .NET framework 3.5.1 that comes preinstalled on your computer.

When you have higher version, I don’t think you can install an older version of it.

You can enable/disable NET framework 3.5.1 from programs and features.

See:

Turn Windows features on or off

http://windows.microsoft.com/en-US/windows7/Turn-Windows-features-on-or-off

  
Hope this information is helpful.

Happy Thanksgiving.

 

 

Regards,

Shinmila H - Microsoft Support

Visit our Microsoft Answers Fee dback Forum and let us know what you think

 



I already enable the Net Framework 3.5 fully, but when I try to install the software that requres NET Framework 1.1, it still pops up the message that I need to install NET Framework 1.1.  What should I do?
Marilyn O
Found this helpful 3
Marilyn O replied on
Microsoft

Reply

Hello JC2009,

Thank you for posting to the Microsoft Answers Forum.

You need to contact the program manufacturer as their program is written and hard coded to .Net Framework 1.1 and the .Net Framework 3.5 includes version 1.1 also.

Thanks,
Marilyn
Microsoft Answers Support Engineer
Visit our Microsoft Answers Feedback Forum and let us know what you think
arshad imam
Found this helpful 10
Answer
arshad imam replied on

Reply

Here's the sequence to install .NET Framework 1.1, Service Pack 1 and  patches on Windows 7 if your application requires .NET 1.1 runtime.

dotnetfx.exe (Microsoft .NET Framework Version 1.1 Redistributable Package)
http://www.microsoft.com/downloads/details.aspx?FamilyId=262D25E3-F589-4842-8157-034D1E7CF3A3&displaylang=en

NDP1.1sp1-KB867460-X86.exe /Q /L:c:\Net11-sp1-KB867460.log

NDP1.1sp1-KB891865-X86.exe /Q /L:c:\Net11-sp1-KB891865.log

NDP1.1sp1-KB886903-X86.exe /Q /L:c:\Net11-sp1-KB886903.log

All the .NET Framework versions can live side by side.  Microsoft .NET 1.1 extended support retied on 10/8/2013
http://support.microsoft.com/lifecycle/search/Default.aspx?sort=PN&alpha=.NET+Framework

Hope this help.

ron chu
Found this helpful 0
ron chu replied on

Reply

I have the same problem.  I am trying to install NBA live 2010 (EA games) on my Windows7 X64.

The program insisted to install .net framework 1.1 and it failed to install on my pc.
Karmana
Found this helpful 0
Karmana replied on

Reply

Marilyn, this cannot be correct.  The last time I installed 3.5, it insisted on all prior versions being installed first, in order.  There is some flexibility on the order that the patches can be installed on for version 2, but otherwise, they must be installed from 1.1 through 3.5, in order- according to Microsoft.  In addition, if they were all included in 3.5, why do we still get the "old versions" from Windows Update, for Windows Vista and Windows 7?
Dallas Kidd
Found this helpful 0
Dallas Kidd replied on

Reply

I'm trying to find

NDP1.1sp1-KB891865-X86.exe

I can't find it anywhere.  Has it been renamed???

Shinmila H
Found this helpful 0
Shinmila H replied on

Reply

Hi Dallas Kidd,
 
This could be what you're looking for.
 
FIX: You receive a "Privilege not held" error message when you execute WMI operations by using the System.Management namespace in the .NET Framework 1.1 Service Pack 1
 
 
Let us know if this answers your question.

Regards,

Shinmila H - Microsoft Support

Visit our Microsoft Answers Feedback Forum and let us know what you think.
Michael Skowron
Found this helpful 0
Michael Skowron replied on

Reply

I have Windows 7 Ultimate 64bit running on my PC. I installed the Game Lord of the Rings Online, and it tells me I

need to install .net framework v.1.1.4322 on my PC. I went and downloaded it and SP1 from Microsoft, and it fails to

install. I attempted the "work-around" suggested in one of the forums, by installing it through Command prompt in

Administrator mode. I use the steps, and it tells me there are known compatibility errors with the .net v.1.1.4322

and then if I push continua on that popup the PC tells me that it installed. But I cannot install the SP1, I get a error

telling me that the patch file cannot locate the file to be patched. I attempted this for hours the other night, to no

avail. I have disabled the .net 3.5 in the windows features on/off as well and tried this but it still did not work. I also

used the windows installer clean up utility and removed all other versions of .net and rebooted and this still did not

work. when i tried to install it from the installer i get a slew of errors and then it fails to install.  final error code is

1935 i believe. I understand that certain things are not going to work and I understand it is the Manufacturer of

the game who made the game run on that version of .net.but this is the newest version of the game directly

downloaded from the website of the game. Since the game is now going to be free to everyone, I can only begin

to assume that there will be hundreds of people who will be having the same issue that I am. this is not PC

specific, because I have 2 other machines I tried this on, all running windows 7, one running home premium 32bit

and the other also running Ultimate 32 bit, and each has the same errors and same issue. What was to be

a family fun thing has turned into a family nightmare.  PLEASE HELP!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! NONE

OF THE FORUMS HAVE A SOLID ANSWER AND NONE OF THE 'FIXES' ARE WORKING. I doubt the manufacturer is 

anytime soon, going to rewrite the game. Microsoft is full of some rather intelligent people. I must assume one

of them can figure this out. you can respond to this post and hopefully someone will be able to fix this.

 

Michael Paul Skowron

*** Email address is removed for privacy ***

Gina91
Found this helpful 0
Gina91 replied on

Reply

Hi Michael,

I don't have an answer to your problem... just posting here to tell you that you have beautifully expressed the nightmare I've experience for the past 24hrs.Kudos!^^

Previous Previous Page of 8 Next Next